### Function

# Dex file_replace

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_file_replace (
      GFile* file,
      const char* etag,
      gboolean make_backup,
      GFileCreateFlags flags,
      int io_priority
    )

#### Description

No description available.

Available since: 1

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`etag`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`make_backup`

  Type: `gboolean`

  No description available.

`flags`

  Type: `GFileCreateFlags`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.